Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0010369 [DCSS] Bug Report minor have not tried 2016-04-22 18:47 2016-04-26 21:14
Reporter llahwehttam View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.18 ancient branch
Summary 0010369: Text for wielding makes it appear the un-wielded weapon has newly wielded weapon's brand.
Description Text for wielding makes it appear the un-wielded weapon has newly wielded weapon's brand.

" Wield which item (- for none, * to show all)? (? for menu, Esc to quit)
 The arc blade stops crackling. It softly glows with a divine radiance!
_J - the +7 mace of Action (weapon) {holy, rF+ rC+ Stlth+}"

Not sure if there's a non-klunky way to word that... "Your new weapon" instead of "It" might work?
Additional Information
Tags No tags attached.
Attached Files ? file icon patch3.patch [^] (2,637 bytes) 2016-04-25 03:23 [Show Content]

- Relationships

-  Notes
(0030394)
Naruni (reporter)
2016-04-25 03:24

Patch uploaded. Changed message when wielding branded weapons to include item name in order to reduce ambiguity.
(0030403)
PleasingFungus (administrator)
2016-04-26 21:14
edited on: 2016-04-26 21:15

Pushed in 3a71842, thanks! For future, we use Allman style, not K&R. (Well, something like Allman, anyway...)


- Issue History
Date Modified Username Field Change
2016-04-22 18:47 llahwehttam New Issue
2016-04-25 03:23 Naruni File Added: patch3.patch
2016-04-25 03:24 Naruni Note Added: 0030394
2016-04-26 21:14 PleasingFungus Note Added: 0030403
2016-04-26 21:14 PleasingFungus Status new => resolved
2016-04-26 21:14 PleasingFungus Fixed in Branch => 0.18 development branch
2016-04-26 21:14 PleasingFungus Resolution open => done
2016-04-26 21:14 PleasingFungus Assigned To => PleasingFungus
2016-04-26 21:15 PleasingFungus Note Edited: 0030403


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker